- [HTTP request](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#body.request_body)
- [Response body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#body.CertificateAuthority.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#body.aspect)
- [ManagedCertificateAuthority](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#ManagedCertificateAuthority)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#ManagedCertificateAuthority.SCHEMA_REPRESENTATION)
- [CertChain](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#CertChain)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#CertChain.SCHEMA_REPRESENTATION)
- [Examples](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#try-it)

Gets the details of certificate authority information for Redis cluster.

### HTTP request

`GET https://redis.googleapis.com/v1/{name=projects/*/locations/*/clusters/*/certificateAuthority}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Redis cluster certificate authority resource name using the form: `projects/{projectId}/locations/{locationId}/clusters/{clusterId}/certificateAuthority` where `locationId` refers to a Google Cloud region. |

### Request body

The request body must be empty.

### Response body

Redis cluster certificate authority

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "managedServerCa": { object (`https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#ManagedCertificateAuthority`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. Unique name of the resource in this scope including project, location and cluster using the form: `projects/{project}/locations/{location}/clusters/{cluster}/certificateAuthority` |
| server ca information The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `managedServerCa` | ``object (`https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#ManagedCertificateAuthority`)`` |
| End of mutually exclusive fields. ||

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/redis.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## ManagedCertificateAuthority

| JSON representation |
|---|
| ``` { "caCerts": [ { object (`https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#CertChain`) } ] } ``` |

| Fields ||
|---|---|
| `caCerts[]` | ``object (`https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters/getCertificateAuthority#CertChain`)`` The PEM encoded CA certificate chains for redis managed server authentication |

## CertChain

| JSON representation |
|---|
| ``` { "certificates": [ string ] } ``` |

| Fields ||
|---|---|
| `certificates[]` | `string` The certificates that form the CA chain, from leaf to root order. |